
From: Josh Boyer <jwboyer@charter.net>

jffs was missed in the statfs64 conversions.


 fs/jffs/inode-v23.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN fs/jffs/inode-v23.c~jffs-statfs-fix fs/jffs/inode-v23.c
--- 25/fs/jffs/inode-v23.c~jffs-statfs-fix	2003-08-11 19:58:48.000000000 -0700
+++ 25-akpm/fs/jffs/inode-v23.c	2003-08-11 19:58:48.000000000 -0700
@@ -383,7 +383,7 @@ jffs_new_inode(const struct inode * dir,
 
 /* Get statistics of the file system.  */
 int
-jffs_statfs(struct super_block *sb, struct statfs *buf)
+jffs_statfs(struct super_block *sb, struct kstatfs *buf)
 {
 	struct jffs_control *c = (struct jffs_control *) sb->s_fs_info;
 	struct jffs_fmcontrol *fmc;

_
